org.gradle.jvm.plugins

## Class JvmComponentPlugin.Rules

- java.lang.Object
- - org.gradle.jvm.plugins.JvmComponentPlugin.Rules

- Enclosing class:
    JvmComponentPlugin

      public static class JvmComponentPlugin.Rules
      extends Object

  Model rules.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JvmComponentPlugin.Rules()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createBinaries(BinaryContainer binaries, PlatformContainer platforms, org.gradle.platform.base.internal.BinaryNamingSchemeBuilder namingSchemeBuilder, NamedDomainObjectCollection<JvmLibrarySpec> libraries, File buildDir, org.gradle.internal.service.ServiceRegistry serviceRegistry, JavaToolChainRegistry toolChains)`
    `void` | `createJavaPlatforms(PlatformContainer platforms, org.gradle.internal.service.ServiceRegistry serviceRegistry)`
    `void` | `createTasks(TaskContainer tasks, BinaryContainer binaries)`
    `void` | `registerJavaPlatformType(PlatformContainer platforms, org.gradle.internal.service.ServiceRegistry serviceRegistry)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JvmComponentPlugin.Rules

          public JvmComponentPlugin.Rules()

  - ### Method Detail

    - #### registerJavaPlatformType

          public void registerJavaPlatformType(PlatformContainer platforms,
                                      org.gradle.internal.service.ServiceRegistry serviceRegistry)

    - #### createJavaPlatforms

          public void createJavaPlatforms(PlatformContainer platforms,
                                 org.gradle.internal.service.ServiceRegistry serviceRegistry)

    - #### createBinaries

          public void createBinaries(BinaryContainer binaries,
                            PlatformContainer platforms,
                            org.gradle.platform.base.internal.BinaryNamingSchemeBuilder namingSchemeBuilder,
                            NamedDomainObjectCollection<JvmLibrarySpec> libraries,
                            File buildDir,
                            org.gradle.internal.service.ServiceRegistry serviceRegistry,
                            JavaToolChainRegistry toolChains)

    - #### createTasks

          public void createTasks(TaskContainer tasks,
                         BinaryContainer binaries)